html {
    min-height:100vh;
}

.contentContainer {
    display: flex;
    flex-direction: row;
    flex-wrap: nowrap;
    justify-content: flex-start;
}

.contentItem {
    flex: 1 1 auto;
}

#Content {
    flex-basis: 74vw;
}

.xtList .mud-card-header {
    padding-bottom:0;
}

.xtList .mud-card-content {
    padding-top: 0;
}

.sideList {
    flex: 0 0 25vw;
    position: sticky;
    top: 0;
    padding: 0;
    padding-left: 10px;
    overflow: auto;
    height: calc(100vh - 68px);
}

.sideList .stickyToolbar {
    top: 0;
    padding:0;
}

/* für den Pin Platz machen */
.sideList .mud-input-control {
    margin-right: 30px;
}

#SideListSizer {
    margin-right:10px;
    border-right: 3px double #ccc;
    cursor:col-resize;
    flex:0 0 5px;
    width:5px;
}

.xtRelatedLists {
    margin-top:10px;
}

.btn-primary {
    text-transform: uppercase;
    --bs-btn-bg: var(--mud-palette-primary) !important;
    --bs-btn-hover-bg: var(--mud-palette-primary-darken) !important;
}

.nav-pills {
    --bs-nav-pills-link-active-bg: var(--mud-palette-primary) !important;
}

.nav {
    --bs-nav-link-color: var(--mud-palette-primary) !important;
    --bs-nav-link-hover-color: var(--mud-palette-primary-darken) !important;
}

.lastAdded {
    background-color: #ffff99;
}

.lastEdited {
    background-color: #ffe4b5;
}

.lastViewed {
    background-color: #f0f8ff;
}

.table-sort-button {visibility:collapse;}
.mud-table-cell {cursor:pointer}
.cursor-progress th {cursor:progress}
th.mud-table-cell:hover {
    font-weight:bold;
}
th.mud-table-cell:hover .table-sort-button {
    visibility:visible
}

.autoFormButtons {
    position:absolute;
    right:20px;
    top:0px;
    padding-right:87px;
    padding-top:13px;
    z-index:100;
    background-color:white;
}

th, td {
    align-content: baseline;
    border:none;
}

th .mud-range-container {
    margin:0;
}

.directEdit td.editable:hover, .mud-table-root .mud-table-body tr.selected td {
    background-color: var(--mud-palette-primary);
    color: var(--mud-palette-primary-text);
}

tr.selected a {
    color: var(--mud-palette-primary-text);
}

.directEdit td.editable:hover {
    cursor: text;
}

tr.selected:hover td, tr.selected:hover td a {
    background-color: var(--mud-palette-table-lines) !important;
    color: var(--mud-palette-primary) !important;
}


.directEdit td.editable:hover a {
    pointer-events: none;
    color: var(--mud-palette-primary-text);
}

.directEdit td:hover:not(.editable) {
    cursor:not-allowed;
}

.mud-breadcrumbs a, .mud-breadcrumb-separator > span {
    color: white
}

#mud-snackbar-container a {color: white}

html.cursor-progress * {cursor:wait !important}

.mud-breadcrumbs-expander {background-color:unset}

table thead {
    position: sticky;
    top: 80px;
    z-index: 99;
    background-color: #eee;
}

figure table thead {
    position:unset;
    top:unset;
    z-index:unset;
    background-color: unset;
}

table tbody tr:hover {
    background-color: var(--mud-palette-table-hover);
}

table img {
    max-height:100px;
}

tfoot .mud-table-cell {
    border-top: 1px solid black;
    border-bottom: 3px double black;
}

.stickyToolbar {
    position:sticky;
    top:30px;
    background-color:white;
    padding-right:50px;
}

.addRowButtonParent {
    position:fixed;
    top: 55px;
    right: 10px;
    z-index: 100
}

.addRowButtonChild {
    position:absolute;
    top: 4px;
    right: 0px;
    z-index: 100
}

.fkLink:hover {
    cursor:help;
    text-decoration:underline;
}

.dboStateError {
    background-color:rgb(255,200,200);
}

.mud-panel-expanded .mud-expand-panel-header {
    background-color:#eee;
    margin-bottom:10px;
}

.mud-expand-panel-header:hover {
    background-color: #eee;
}

tr[draggable=true], tr[draggable=true] td {
    cursor: ns-resize !important;
}

tr.dragover td {
    padding-top: 20px !important;
    border-top: 10px solid rgba(50,50,50,0.5);
}

.mud-table-root {
    user-select: none;
    border-collapse: separate;
    margin-bottom: 60px;
}

.ck.ck-editor__main, .mud-input-control.Text {
    font-family: 'Open Sans', sans-serif;
    color: black;
}

.ck.ck-editor__main h1, .mud-input-control.Text h1 {
    width: 100%;
    position: relative;
    font-size: 28px;
    z-index: 10;
    font-weight: bold;
    padding: 0;
    margin: 0;
    margin-bottom: 10px;
    color: #304886;
}

.ck.ck-editor__main h2, .mud-input-control.Text h2 {
    padding: 0;
    margin: 0;
    margin-top: 10px;
    font-size: 17px;
    font-weight: bold;
}

.ck.ck-editor__main h3, .mud-input-control.Text h3 {
    padding: 0;
    margin: 0;
    margin-top: 10px;
    font-size: 17px;
    font-weight: bold;
}

.ck.ck-editor__main h4, .mud-input-control.Text h4 {
    padding: 0;
    margin: 0;
    margin-top: 10px;
    font-size: 14px;
    font-weight: normal;
}

.ck.ck-editor__main h5, .mud-input-control.Text h5 {
    font-size: 16px;
    font-weight: normal;
    font-style: italic;
    margin: 0;
    padding: 0;
    padding-left: 30px;
}

.ck.ck-editor__main h6, .mud-input-control.Text h6 {
    font-size: 14px;
    font-weight: normal;
    margin: 0;
    padding: 0;
}

.ck.ck-editor__main p, .mud-input-control.Text p, .ck.ck-editor__main li {
    margin: 0;
    padding: 0;
    font-size: 16px;
}

.ck.ck-editor__main strong a, .ck.ck-editor__main a strong, .mud-input-control.Text a strong {
    color: #304886 !important;
    font-weight: 500;
    text-decoration: underline #304886 !important;
}

.ck.ck-editor__main iframe, .mud-input-control.Text iframe {
    width: 792px !important;
    padding: 30px;
    border:1px solid black !important;
}

.ck.ck-editor__main ul {
    margin: revert;
    padding: revert;
    list-style: revert;
}

figure.media div div {
    position: unset !important;
    padding-bottom: unset !important;
    height: unset !important;
}

figure.media iframe {
    position: unset !important;
}

.mud-input a {
    text-decoration: underline;
}

video {
    max-width:100%;
    max-height:500px;
}

.mud-tabs .mud-tab {
    padding-right:30px;
}

.mud-input-root a {
    display:inline-block;
    max-width:100%;
    text-overflow:ellipsis;
    overflow:hidden;
}

.xtSelect .mud-input-control > .mud-input-control-input-container > div.mud-input.mud-input-text.mud-input-text-with-label {
    margin-top:0;
}

.xtSelect .mud-input.mud-input-underline:before {
    border:none;
}

.xtSelect .mud-input.mud-input-underline:hover:not(.mud-disabled):before {
    border:none;
}

.xtSelect .mud-input-label-inputcontrol {
    transform: translate(0, 8px)
}

.mud-field img {
    max-width:100%;
    max-height:100%;
}

.simpleForm .mud-card-header {
    display: none
}

.simpleForm.mud-paper {
    box-shadow: none
}

.clickable {
    cursor:pointer;
}

.clickable:hover {
    box-shadow: var(--mud-elevation-8) !important;
}

.mud-card-header-content {
    max-width:100%;
}

.note .mud-card-header-content {
    border-bottom: 1px solid rgb(150,150,150);
}

.note .mud-alert {
    margin: -16px -16px 16px -16px; /* nein, das ist kein Tippfehler */
}

tr.dboStateInfo {

}

tr.dboStateWarning td, tr.dboStateWarning td a {
    background-color: #ffb938;
    color: white !important;
}

tr.dboStateError td, tr.dboStateError td a {
    background-color: orangered;
    color: white !important;
}

.xtFormHeader {
    position:relative;
}
